#include <iostream>
#include <string>
using namespace std;

int main() {
	string s1;
	cin>>s1;
	int n;
	cin>>n;
	for(int i=0;i<n;i++){
		int l,k;
		int max=0;
		cin>>l>>k;
		for(int t=l-1;t<k-1;t++){
			if(s1[t]>s1[t+1]){
				max++;
			}
		}
		cout<<max+1<<'\n';
	}
}
